Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class CIContact

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.CIContact

    public class CIContact

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}phone"/>
             <element ref="{http://www.isotc211.org/2005/gmd}address"/>
             <element ref="{http://www.isotc211.org/2005/gmd}onlineResource"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Address` | `address`
`protected OnlineResource` | `onlineResource`
`protected Phone` | `phone`

Constructor Summary
`CIContact()`

Method Summary
`Address` | `getAddress()` Gets the value of the address property.
`OnlineResource` | `getOnlineResource()` Gets the value of the onlineResource property.
`Phone` | `getPhone()` Gets the value of the phone property.
`void` | `setAddress(Address value)` Sets the value of the address property.
`void` | `setOnlineResource(OnlineResource value)` Sets the value of the onlineResource property.
`void` | `setPhone(Phone value)` Sets the value of the phone property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### phone

    protected Phone phone

### address

    protected Address address

### onlineResource

    protected OnlineResource onlineResource

Constructor Detail

### CIContact

    public CIContact()

Method Detail

### getPhone

    public Phone getPhone()

  Gets the value of the phone property.

  Returns:
    possible object is `Phone`

### setPhone

    public void setPhone(Phone value)

  Sets the value of the phone property.

  Parameters:
    `value` - allowed object is `Phone`

### getAddress

    public Address getAddress()

  Gets the value of the address property.

  Returns:
    possible object is `Address`

### setAddress

    public void setAddress(Address value)

  Sets the value of the address property.

  Parameters:
    `value` - allowed object is `Address`

### getOnlineResource

    public OnlineResource getOnlineResource()

  Gets the value of the onlineResource property.

  Returns:
    possible object is `OnlineResource`

### setOnlineResource

    public void setOnlineResource(OnlineResource value)

  Sets the value of the onlineResource property.

  Parameters:
    `value` - allowed object is `OnlineResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org